:root {
    --blanco: #fff;
    --fondo: #272727;
    --negro: #000;
    --colorCarta: #faf4f0;
    --secundario: #ab7dc2;
    --secundarioOscuro: #8d67a0;
    --fuenteTitulos: 'Prosto One', cursive;
    --fuentePrincipal: 'Roboto Mono', monospace;

}
html {
    /* 1rem = 10px */
    font-size: 62.5%;
    margin: 0;
}
body {  
    margin: 0;
    font-size: 1.6rem;
    text-decoration: none;
    background-color: #272727;
}

.contenedor {
    width: 80%;
    margin: 0 auto;
}

.imagen-small {
    height: 50rem;
    margin-bottom: 2rem;
}

.button {
    color: white;
    padding: 1rem 3rem;
    text-align: center;
    background-color: var(--secundario);
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 2rem;
}

.button-rojo-block {
    background-color: red;
    display: block;
}

.button-verde-block {
    background-color: green;
    display: block;
}

.button:hover {
    cursor: pointer;
}

.center {
    text-align: center;
}

.creditos {
    color: white;
    margin-top: 5rem;
    text-align: center;
}

p {
    font-family: var(--fuentePrincipal);
}

a {
    text-decoration: none;
    color: black;
}

.titulo, h1 {
    display: block;
    font-size: 4rem;
    text-align: center;
    color: white;
    font-family: var(--fuenteTitulos);
}

.parrafo {
    font-size: 2rem;
    margin-bottom: 3rem;
    text-align: center;
    color: white;
}

.alerta {
    margin-bottom: 2rem;
    padding: 2rem;
    text-align: center;
    font-weight: 600;
}


.error {
    background-color: rgb(245, 148, 148);
}

.acierto {
    background-color: rgb(147, 246, 168);
}

.w-100 {
    width: 100%;
}

/* Index.html */

main#main {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.card {
    border-radius: 2rem;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.74);
    width: 55%;
    text-align: center;
    margin-bottom: 3rem;
    border: 1px solid black;
    background-color: white;
}

.card:hover {
    cursor: pointer;
}

@media(min-width: 480px) { /* Tablet */
    main#main {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
    }

    .card {
        width: 40%;
    }
}

@media(min-width: 780px) { /* Ordenadores */
    main#main {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
    }

    .card {
        width: 30%;
    }
}



#dailyMenus img {
    border-top-left-radius: 2rem;
    border-top-right-radius: 2rem;
    width: 100%;
    height: 100%;
    margin: 0;
}

#specialMenus img {
    border-top-left-radius: 2rem;
    border-top-right-radius: 2rem;
    height: 100%;
    width: 100%;
    margin: 0;
}

.menu {
    margin-top: 4rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    justify-content: center;
    gap: 2rem;
}

form .input .button {
    background-color: var(--secundario);
    border-radius: 1rem;
    width: 30rem;
    margin-top: 1rem;
}

@media(min-width: 480px) {
    form .input .button {
        margin-top: 0;
    }
}

form .input .button:hover {
    cursor: pointer;
    background-color: var(--secundarioOscuro);
}

form .input label {
    color: white;
}

form .input input {
    width: 28rem;
    border-radius: 2rem;
    padding: 1rem;
    text-align: center;
    margin-bottom: 1rem;
}

.Upper {
    text-transform: uppercase;
}

@media(min-width: 480px) {
    form .input input {
        width: 80%;
    }
}

@media(min-width: 780px) {
    form .input input {
        width: 50rem;
        border-radius: 5rem;
        padding: 1rem;
        text-align: center;
    }
}

.input {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    gap: 1rem;
}


/* DialyMenus */

.selectorPlantillas {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

@media(min-width: 480px) {
    .selectorPlantillas {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media(min-width: 780px) {
    .selectorPlantillas {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
    }
}


.plantilla {
    margin-bottom: 2rem;
    color: white;
}

.plantilla label:hover{
    cursor: pointer;
}

.plantilla input[type="radio"] {
    display: none;
}

.plantilla label img {
    width: 70%;
}

.esconder {
    display: none;
}

/* Formulario Subida de archivo */

.uploadForm {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.uploadForm label {
    font-size: 1.4rem;
    font-weight: 600;
    color: #fff;
    background-color: #106BA0;
    display: inline-block;
    transition: all .5s;
    cursor: pointer;
    padding: 15px 40px ;
    text-transform: uppercase;
    width: fit-content;
    text-align: center;
    margin-bottom: 2rem;
}

.uploadForm input[type=file] {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

/* .uploadForm input[type=submit] {
    background-color: var(--secundarioOscuro);
    color: white;
    padding: 2.5rem;
    display: inline-block;
    font-weight: 600;
    font-size: 1.4rem;
    width: fit-content;
    border-radius: 30px;
} */

.uploadForm input[type=submit]:hover {
    cursor: pointer;
}


/* Formularios */

form {
    margin-top: 5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

form label {
    color: white;
    font-size: 2rem;
}

/* Index.php ADMIN */

table.tablePlantillas {
    margin-top: 4rem;
    width: 100%;
    border-spacing: 0;

}

table.tablePlantillas thead {
    background-color: var(--secundario);
}

table.tablePlantillas thead th {
    color: white;
    text-align: center;
    padding: 2rem;
}

table.tablePlantillas tbody tr {
    color: white;
    text-align: center;
}

table.tablePlantillas .imagen-tabla {
    width: 10rem;
}

form.btn-rojo {
    margin-top: 2rem;
    border: none;
}

form.btn-rojo input {
    border: none;
}

.flex {
    display: flex;
    justify-content: space-between;
}


#navegacionInferior {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#navegacionInferior a {
    padding: 2rem 3rem;
    width: 50%;
}

@media(min-width: 480px) {
    #navegacionInferior {
        margin: 0 auto;
    }

    #navegacionInferior a {
        display: inline-block;
    }
}